/* Things to do before body loads */
function restoreDarkMode(){
    if (localStorage.getItem("darkMode") === "enabled") {
        $("html").addClass("is-dark");
        $("html").removeClass("is-white");
    } else {
        $("html").removeClass("is-dark");
        $("html").addClass("is-white");
    }
}
restoreDarkMode();

/* Things to do after body loads */
$(document).ready(function(){
    $("#darkModeToggle").on("click", function() {
        $("html").toggleClass("is-dark");
        $("html").toggleClass("is-white");
        if ($("html").hasClass("is-dark")) {
            localStorage.setItem("darkMode", "enabled");
            $("#darkModeToggle").html(`<span class="ts-icon is-sun-icon"></span>`);
        } else {
            localStorage.setItem("darkMode", "disabled");
            $("#darkModeToggle").html(`<span class="ts-icon is-moon-icon"></span>`);
        }
    });

    if (localStorage.getItem("darkMode") === "enabled") {
        $("#darkModeToggle").html(`<span class="ts-icon is-sun-icon"></span>`);
    }else{
        $("#darkModeToggle").html(`<span class="ts-icon is-moon-icon"></span>`);
    }
});